DeepFellow DOCS

Propose the changes that restore an ontology version

POST
/v1/graph/ontology/versions/{version}/restore

Propose the changes that undo every change applied since version; nothing is applied until they are.

Undoing a drop brings the type back but not its deleted data; such changes are listed in data_not_restored. A 422 is returned if a change since can't be undone (an attribute added to a relation).

Authorization

headerAuthorizationBearer <token>

Path Parameters

version*integer
Range1 <= value

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response

The proposed inverse changes that would restore a version.

changes*array<>
data_not_restored?array<string>

Ids of changes that restore the schema but not the data dropped since the version.

Example Request
curl -X POST 'https://deepfellow-server-host/v1/graph/ontology/versions/1/restore'
Example Response
{  "changes": [    {      "id": "string",      "project_id": "string",      "op": "add_entity",      "payload": {        "op": "add_entity",        "label": "string",        "description": "string",        "properties": [          {            "name": "string",            "type": "STRING",            "description": "string"          }        ]      },      "risk": "migrating",      "origin": "discovery",      "backfill": "none",      "status": "proposed",      "inverse_of": "string",      "data_not_restored": false,      "dry_run": {        "chunks_in_scope": 0,        "affected_nodes": 0,        "affected_edges": 0      },      "result": {        "llm_calls": 0,        "failed_chunks": [          "string"        ],        "nodes_updated": 0,        "edges_updated": 0      },      "error": "string",      "applied_version": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "data_not_restored": [    "string"  ]}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.